Bug 37591 - Problem launching KDE launchers from GNOME
Summary: Problem launching KDE launchers from GNOME
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-25 11:08 UTC by jpm
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-02 15:19:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jpm 2001-04-25 11:08:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686; Nav)


When i launch kpackage (KDE RPM Package manager) from the
KDE Menu's System submenu under GNOME/sawfish, i get a main
appwindow with %s in the titlebar and a message box opens immediatly:
Titlebar: Error - %c
Content: File not found: /root/%i


Reproducible: Always
Steps to Reproduce:
1. startx (gnome desktop with sawfish WM)
2. Foot -> KDE Menus -> System -> Package Manager

	

Actual Results:  The bug appeared

Expected Results:  No bug.

Installed almost everything (incl. a few packages from the powertools CD)
No patches installed yet.

Comment 1 Ngo Than 2001-05-02 13:21:37 UTC
this problem appears only by using GNOME. The panel in GNOME cannot handle the
options
%c %i %m %u  in desktop file.



Comment 2 Owen Taylor 2001-05-02 15:19:48 UTC
Currently, the code in GNOME only enables % parsing when reading
a "KDE Desktop Entry"; but the code to identify these is only
picking up old .kdelnk files not new .desktop files.

I'll work on a fix.

Comment 3 Owen Taylor 2001-07-17 22:27:29 UTC
Now fixed.

Comment 4 Need Real Name 2001-08-25 18:30:32 UTC
It's great that you fixed this, but could you let us all in on where we can find
a fix for this? I looked on the download area for 7.1 and there does not appear
to be anything there that addresses this proble. This is the one remaining
problem I have to resolve in my 6.0 to 7.1 upgrade.


Note You need to log in before you can comment on or make changes to this bug.